package com.aucma.dms.domain;

import com.aucma.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;



/**
 * 润滑标准信息对象 dms_base_lube_standard
 * 
 * @author Open Platform
 * @date 2024-01-12
 */
public class DmsBaseLubeStandard extends DmsBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long lubeStandardId;

    /** 标准编号 */
    @Excel(name = "标准编号")
    private String lubeStandardCode;

    /** 设备类型ID，关联dms_base_device_type的device_type_id */
    @Excel(name = "设备类型ID，关联dms_base_device_type的device_type_id")
    private Long deviceTypeId;

    /** 润滑标准 */
    @Excel(name = "润滑标准")
    private String lubeProtocol;

    /** 操作描述 */
    @Excel(name = "操作描述")
    private String operationDescription;

    /** 是否标识：1-是；0-否 */
    @Excel(name = "是否标识：1-是；0-否")
    private String isFlag;

    public void setLubeStandardId(Long lubeStandardId) 
    {
        this.lubeStandardId = lubeStandardId;
    }

    public Long getLubeStandardId() 
    {
        return lubeStandardId;
    }
    public void setLubeStandardCode(String lubeStandardCode) 
    {
        this.lubeStandardCode = lubeStandardCode;
    }

    public String getLubeStandardCode() 
    {
        return lubeStandardCode;
    }
    public void setDeviceTypeId(Long deviceTypeId) 
    {
        this.deviceTypeId = deviceTypeId;
    }

    public Long getDeviceTypeId() 
    {
        return deviceTypeId;
    }
    public void setLubeProtocol(String lubeProtocol) 
    {
        this.lubeProtocol = lubeProtocol;
    }

    public String getLubeProtocol() 
    {
        return lubeProtocol;
    }
    public void setOperationDescription(String operationDescription) 
    {
        this.operationDescription = operationDescription;
    }

    public String getOperationDescription() 
    {
        return operationDescription;
    }
    public void setIsFlag(String isFlag) 
    {
        this.isFlag = isFlag;
    }

    public String getIsFlag() 
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("lubeStandardId", getLubeStandardId())
            .append("lubeStandardCode", getLubeStandardCode())
            .append("deviceTypeId", getDeviceTypeId())
            .append("lubeProtocol", getLubeProtocol())
            .append("operationDescription", getOperationDescription())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
